package com.machiav3lli.backup.ui.compose.theme

import androidx.compose.material3.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.Color

val ColorNotInstalled @Composable get() = MaterialTheme.colorScheme.onSurfaceVariant
val ColorDisabled = Color(0xFF888888)
val ColorSystem = Color(0xFF4590FE)
val ColorUser = Color(0xFFFE9045)
val ColorSpecial = Color(0xFF9045FE)
val ColorAPK = Color(0xFF3AEA85)
val ColorData = Color(0xFFF445B0)
val ColorDeData = Color(0xFFFADB18)
val ColorExtDATA = Color(0xFFB3CDFF)
val ColorOBB = Color(0xFFCAFB68)
val ColorMedia = Color(0xFFFF8098)
val ColorUpdated = Color(0xFFFF0000)
val ColorExodus = Color(0xFFAB47BC)

// Light Themes

val primaryLight = Color(0xFFA20034)
val onPrimaryLight = Color(0xFFFFFFFF)
val primaryContainerLight = Color(0xFFE11E51)
val onPrimaryContainerLight = Color(0xFFFFFFFF)
val secondaryLight = Color(0xFFA63649)
val onSecondaryLight = Color(0xFFFFFFFF)
val secondaryContainerLight = Color(0xFFFF8B98)
val onSecondaryContainerLight = Color(0xFF4D0014)
val tertiaryLight = Color(0xFF155093)
val onTertiaryLight = Color(0xFFFFFFFF)
val tertiaryContainerLight = Color(0xFF4475BA)
val onTertiaryContainerLight = Color(0xFFFFFFFF)
val errorLight = Color(0xFFBA1A1A)
val onErrorLight = Color(0xFFFFFFFF)
val errorContainerLight = Color(0xFFFFDAD6)
val onErrorContainerLight = Color(0xFF410002)
val backgroundLight = Color(0xFFFFF8F7)
val onBackgroundLight = Color(0xFF281719)
val surfaceLight = Color(0xFFFFF8F7)
val onSurfaceLight = Color(0xFF281719)
val surfaceVariantLight = Color(0xFFFFDADC)
val onSurfaceVariantLight = Color(0xFF5C3F42)
val outlineLight = Color(0xFF906F71)
val outlineVariantLight = Color(0xFFE4BDBF)
val scrimLight = Color(0xFF000000)
val inverseSurfaceLight = Color(0xFF3E2B2D)
val inverseOnSurfaceLight = Color(0xFFFFECED)
val inversePrimaryLight = Color(0xFFFFB2B9)
val surfaceDimLight = Color(0xFFF1D3D4)
val surfaceBrightLight = Color(0xFFFFF8F7)
val surfaceContainerLowestLight = Color(0xFFFFFFFF)
val surfaceContainerLowLight = Color(0xFFFFF0F0)
val surfaceContainerLight = Color(0xFFFFE9E9)
val surfaceContainerHighLight = Color(0xFFFFE1E2)
val surfaceContainerHighestLight = Color(0xFFFADBDD)

val primaryLightMediumContrast = Color(0xFF8A002B)
val onPrimaryLightMediumContrast = Color(0xFFFFFFFF)
val primaryContainerLightMediumContrast = Color(0xFFE11E51)
val onPrimaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val secondaryLightMediumContrast = Color(0xFF81192F)
val onSecondaryLightMediumContrast = Color(0xFFFFFFFF)
val secondaryContainerLightMediumContrast = Color(0xFFC34C5E)
val onSecondaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val tertiaryLightMediumContrast = Color(0xFF004382)
val onTertiaryLightMediumContrast = Color(0xFFFFFFFF)
val tertiaryContainerLightMediumContrast = Color(0xFF4475BA)
val onTertiaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val errorLightMediumContrast = Color(0xFF8C0009)
val onErrorLightMediumContrast = Color(0xFFFFFFFF)
val errorContainerLightMediumContrast = Color(0xFFDA342E)
val onErrorContainerLightMediumContrast = Color(0xFFFFFFFF)
val backgroundLightMediumContrast = Color(0xFFFFF8F7)
val onBackgroundLightMediumContrast = Color(0xFF281719)
val surfaceLightMediumContrast = Color(0xFFFFF8F7)
val onSurfaceLightMediumContrast = Color(0xFF281719)
val surfaceVariantLightMediumContrast = Color(0xFFFFDADC)
val onSurfaceVariantLightMediumContrast = Color(0xFF573C3E)
val outlineLightMediumContrast = Color(0xFF765759)
val outlineVariantLightMediumContrast = Color(0xFF947275)
val scrimLightMediumContrast = Color(0xFF000000)
val inverseSurfaceLightMediumContrast = Color(0xFF3E2B2D)
val inverseOnSurfaceLightMediumContrast = Color(0xFFFFECED)
val inversePrimaryLightMediumContrast = Color(0xFFFFB2B9)
val surfaceDimLightMediumContrast = Color(0xFFF1D3D4)
val surfaceBrightLightMediumContrast = Color(0xFFFFF8F7)
val surfaceContainerLowestLightMediumContrast = Color(0xFFFFFFFF)
val surfaceContainerLowLightMediumContrast = Color(0xFFFFF0F0)
val surfaceContainerLightMediumContrast = Color(0xFFFFE9E9)
val surfaceContainerHighLightMediumContrast = Color(0xFFFFE1E2)
val surfaceContainerHighestLightMediumContrast = Color(0xFFFADBDD)

val primaryLightHighContrast = Color(0xFF4D0014)
val onPrimaryLightHighContrast = Color(0xFFFFFFFF)
val primaryContainerLightHighContrast = Color(0xFF8A002B)
val onPrimaryContainerLightHighContrast = Color(0xFFFFFFFF)
val secondaryLightHighContrast = Color(0xFF4D0014)
val onSecondaryLightHighContrast = Color(0xFFFFFFFF)
val secondaryContainerLightHighContrast = Color(0xFF81192F)
val onSecondaryContainerLightHighContrast = Color(0xFFFFFFFF)
val tertiaryLightHighContrast = Color(0xFF002248)
val onTertiaryLightHighContrast = Color(0xFFFFFFFF)
val tertiaryContainerLightHighContrast = Color(0xFF004382)
val onTertiaryContainerLightHighContrast = Color(0xFFFFFFFF)
val errorLightHighContrast = Color(0xFF4E0002)
val onErrorLightHighContrast = Color(0xFFFFFFFF)
val errorContainerLightHighContrast = Color(0xFF8C0009)
val onErrorContainerLightHighContrast = Color(0xFFFFFFFF)
val backgroundLightHighContrast = Color(0xFFFFF8F7)
val onBackgroundLightHighContrast = Color(0xFF281719)
val surfaceLightHighContrast = Color(0xFFFFF8F7)
val onSurfaceLightHighContrast = Color(0xFF000000)
val surfaceVariantLightHighContrast = Color(0xFFFFDADC)
val onSurfaceVariantLightHighContrast = Color(0xFF351D20)
val outlineLightHighContrast = Color(0xFF573C3E)
val outlineVariantLightHighContrast = Color(0xFF573C3E)
val scrimLightHighContrast = Color(0xFF000000)
val inverseSurfaceLightHighContrast = Color(0xFF3E2B2D)
val inverseOnSurfaceLightHighContrast = Color(0xFFFFFFFF)
val inversePrimaryLightHighContrast = Color(0xFFFFE6E7)
val surfaceDimLightHighContrast = Color(0xFFF1D3D4)
val surfaceBrightLightHighContrast = Color(0xFFFFF8F7)
val surfaceContainerLowestLightHighContrast = Color(0xFFFFFFFF)
val surfaceContainerLowLightHighContrast = Color(0xFFFFF0F0)
val surfaceContainerLightHighContrast = Color(0xFFFFE9E9)
val surfaceContainerHighLightHighContrast = Color(0xFFFFE1E2)
val surfaceContainerHighestLightHighContrast = Color(0xFFFADBDD)

// Dark Themes

val primaryDark = Color(0xFFFFB2B9)
val onPrimaryDark = Color(0xFF67001E)
val primaryContainerDark = Color(0xFFBC003E)
val onPrimaryContainerDark = Color(0xFFFFFFFF)
val secondaryDark = Color(0xFFFFB2B9)
val onSecondaryDark = Color(0xFF67011E)
val secondaryContainerDark = Color(0xFF7E162D)
val onSecondaryContainerDark = Color(0xFFFFC8CC)
val tertiaryDark = Color(0xFFA7C8FF)
val onTertiaryDark = Color(0xFF003061)
val tertiaryContainerDark = Color(0xFF265C9F)
val onTertiaryContainerDark = Color(0xFFFFFFFF)
val errorDark = Color(0xFFFFB4AB)
val onErrorDark = Color(0xFF690005)
val errorContainerDark = Color(0xFF93000A)
val onErrorContainerDark = Color(0xFFFFDAD6)
val backgroundDark = Color(0xFF1F0F10)
val onBackgroundDark = Color(0xFFFADBDD)
val surfaceDark = Color(0xFF1F0F10)
val onSurfaceDark = Color(0xFFFADBDD)
val surfaceVariantDark = Color(0xFF5C3F42)
val onSurfaceVariantDark = Color(0xFFE4BDBF)
val outlineDark = Color(0xFFAB888A)
val outlineVariantDark = Color(0xFF5C3F42)
val scrimDark = Color(0xFF000000)
val inverseSurfaceDark = Color(0xFFFADBDD)
val inverseOnSurfaceDark = Color(0xFF3E2B2D)
val inversePrimaryDark = Color(0xFFBE003F)
val surfaceDimDark = Color(0xFF1F0F10)
val surfaceBrightDark = Color(0xFF483436)
val surfaceContainerLowestDark = Color(0xFF190A0B)
val surfaceContainerLowDark = Color(0xFF281719)
val surfaceContainerDark = Color(0xFF2C1B1C)
val surfaceContainerHighDark = Color(0xFF382527)
val surfaceContainerHighestDark = Color(0xFF433031)

val primaryDarkMediumContrast = Color(0xFFFFB8BE)
val onPrimaryDarkMediumContrast = Color(0xFF36000C)
val primaryContainerDarkMediumContrast = Color(0xFFFF506F)
val onPrimaryContainerDarkMediumContrast = Color(0xFF000000)
val secondaryDarkMediumContrast = Color(0xFFFFB8BE)
val onSecondaryDarkMediumContrast = Color(0xFF36000C)
val secondaryContainerDarkMediumContrast = Color(0xFFE76779)
val onSecondaryContainerDarkMediumContrast = Color(0xFF000000)
val tertiaryDarkMediumContrast = Color(0xFFAFCCFF)
val onTertiaryDarkMediumContrast = Color(0xFF001632)
val tertiaryContainerDarkMediumContrast = Color(0xFF6292D9)
val onTertiaryContainerDarkMediumContrast = Color(0xFF000000)
val errorDarkMediumContrast = Color(0xFFFFBAB1)
val onErrorDarkMediumContrast = Color(0xFF370001)
val errorContainerDarkMediumContrast = Color(0xFFFF5449)
val onErrorContainerDarkMediumContrast = Color(0xFF000000)
val backgroundDarkMediumContrast = Color(0xFF1F0F10)
val onBackgroundDarkMediumContrast = Color(0xFFFADBDD)
val surfaceDarkMediumContrast = Color(0xFF1F0F10)
val onSurfaceDarkMediumContrast = Color(0xFFFFF9F9)
val surfaceVariantDarkMediumContrast = Color(0xFF5C3F42)
val onSurfaceVariantDarkMediumContrast = Color(0xFFE9C1C3)
val outlineDarkMediumContrast = Color(0xFFBF9A9C)
val outlineVariantDarkMediumContrast = Color(0xFF9D7B7D)
val scrimDarkMediumContrast = Color(0xFF000000)
val inverseSurfaceDarkMediumContrast = Color(0xFFFADBDD)
val inverseOnSurfaceDarkMediumContrast = Color(0xFF382527)
val inversePrimaryDarkMediumContrast = Color(0xFF93002F)
val surfaceDimDarkMediumContrast = Color(0xFF1F0F10)
val surfaceBrightDarkMediumContrast = Color(0xFF483436)
val surfaceContainerLowestDarkMediumContrast = Color(0xFF190A0B)
val surfaceContainerLowDarkMediumContrast = Color(0xFF281719)
val surfaceContainerDarkMediumContrast = Color(0xFF2C1B1C)
val surfaceContainerHighDarkMediumContrast = Color(0xFF382527)
val surfaceContainerHighestDarkMediumContrast = Color(0xFF433031)

val primaryDarkHighContrast = Color(0xFFFFF9F9)
val onPrimaryDarkHighContrast = Color(0xFF000000)
val primaryContainerDarkHighContrast = Color(0xFFFFB8BE)
val onPrimaryContainerDarkHighContrast = Color(0xFF000000)
val secondaryDarkHighContrast = Color(0xFFFFF9F9)
val onSecondaryDarkHighContrast = Color(0xFF000000)
val secondaryContainerDarkHighContrast = Color(0xFFFFB8BE)
val onSecondaryContainerDarkHighContrast = Color(0xFF000000)
val tertiaryDarkHighContrast = Color(0xFFFBFAFF)
val onTertiaryDarkHighContrast = Color(0xFF000000)
val tertiaryContainerDarkHighContrast = Color(0xFFAFCCFF)
val onTertiaryContainerDarkHighContrast = Color(0xFF000000)
val errorDarkHighContrast = Color(0xFFFFF9F9)
val onErrorDarkHighContrast = Color(0xFF000000)
val errorContainerDarkHighContrast = Color(0xFFFFBAB1)
val onErrorContainerDarkHighContrast = Color(0xFF000000)
val backgroundDarkHighContrast = Color(0xFF1F0F10)
val onBackgroundDarkHighContrast = Color(0xFFFADBDD)
val surfaceDarkHighContrast = Color(0xFF1F0F10)
val onSurfaceDarkHighContrast = Color(0xFFFFFFFF)
val surfaceVariantDarkHighContrast = Color(0xFF5C3F42)
val onSurfaceVariantDarkHighContrast = Color(0xFFFFF9F9)
val outlineDarkHighContrast = Color(0xFFE9C1C3)
val outlineVariantDarkHighContrast = Color(0xFFE9C1C3)
val scrimDarkHighContrast = Color(0xFF000000)
val inverseSurfaceDarkHighContrast = Color(0xFFFADBDD)
val inverseOnSurfaceDarkHighContrast = Color(0xFF000000)
val inversePrimaryDarkHighContrast = Color(0xFF5B001A)
val surfaceDimDarkHighContrast = Color(0xFF1F0F10)
val surfaceBrightDarkHighContrast = Color(0xFF483436)
val surfaceContainerLowestDarkHighContrast = Color(0xFF190A0B)
val surfaceContainerLowDarkHighContrast = Color(0xFF281719)
val surfaceContainerDarkHighContrast = Color(0xFF2C1B1C)
val surfaceContainerHighDarkHighContrast = Color(0xFF382527)
val surfaceContainerHighestDarkHighContrast = Color(0xFF433031)

val RedComet = Color(0xFFEE2255)
val FinePurple = Color(0xFF7B1FA2)
val CalmIndigo = Color(0xFF303F9F)
val Turquoise = Color(0xFF00E5FF)
val BoldGreen = Color(0xFF00E676)
val ChartreuseLime = Color(0xFFB1E401)
val ThunderYellow = Color(0xFFF3DF00)
val ApricotOrange = Color(0xFFFF9100)
val PumpkinPerano = Color(0xFFAAAAFF)

val ArcticCyan = Color(0xFF26C6DA)
val OceanTeal = Color(0xFF4DB6AC)
val Limette = Color(0xFFAEEA00)
val TigerAmber = Color(0xFFEEAA33)
val LavaOrange = Color(0xFFFF3D00)
val FlamingoPink = Color(0xFFFF8098)
val Slate = Color(0xFF37474F)
val AzureBlue = Color(0xFF163DE0)
val Mint = Color(0xFF7FFFCC)
